View Issue Details

IDProjectCategoryView StatusLast Update
0015985ScribusBuild Systempublic2019-12-08 10:47
Reportertgurr Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0015985: Scribus fails to build against poppler 0.83.0
DescriptionScanning dependencies of target importpdf
make[2]: Leaving directory '/var/tmp/paludis/build/app-office-scribus-1.5.5/work/build'
make -f scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/build.make scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/build
make[2]: Entering directory '/var/tmp/paludis/build/app-office-scribus-1.5.5/work/build'
[ 79%] Building CXX object scribus/plugins/import/pdf/CMakeFiles/importpdf.dir/importpdf.cpp.o
cd /var/tmp/paludis/build/app-office-scribus-1.5.5/work/build/scribus/plugins/import/pdf && /usr/bin/x86_64-pc-linux-gnu-c++ -DAPPDATADIR=\"/usr/share/metainfo/\" -DDESKTOPDIR=\"/usr/share/applications/\" -DDOCDIR=\"/usr/share/doc/scribus/\" -DHAVE_CONFIG_H -DHAVE_DLFCN_H -DHAVE_FREETYPE_H -DHAVE_UNISTD_H -DICONDIR=\"/usr/share/scribus/icons/\" -DLIBDIR=\"/usr/x86_64-pc-linux-gnu/lib/scribus/\" -DPLUGINDIR=\"/usr/x86_64-pc-linux-gnu/lib/scribus/plugins/\" -DQMLDIR=\"/usr/share/scribus/qml/\" -DQT_CORE_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_NO_DEBUG -DQT_OPENGL_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_XML_LIB -DSAMPLESDIR=\"/usr/share/scribus/samples/\" -DSCRIPTSDIR=\"/usr/share/scribus/scripts/\" -DSHAREDIR=\"/usr/share/scribus/\" -DTEMPLATEDIR=\"/usr/share/scribus/templates/\" -Dimportpdf_EXPORTS -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/build/scribus/plugins/import/pdf -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf -I/usr/x86_64-pc-linux-gnu/include/qt5/QtPrintSupport -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/build -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/build/scribus -I/usr/x86_64-pc-linux-gnu/include/libxml2 -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/third_party/hyphen -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5 -I/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus -I/usr/x86_64-pc-linux-gnu/include/freetype2 -I/usr/x86_64-pc-linux-gnu/include/harfbuzz -I/usr/x86_64-pc-linux-gnu/include/glib-2.0 -I/usr/x86_64-pc-linux-gnu/lib/glib-2.0/include -I/usr/x86_64-pc-linux-gnu/include/cairo -I/usr/x86_64-pc-linux-gnu/include/poppler -I/usr/x86_64-pc-linux-gnu/include/poppler/cpp -isystem /usr/x86_64-pc-linux-gnu/include/qt5 -isystem /usr/x86_64-pc-linux-gnu/include/qt5/QtCore -isystem /usr/x86_64-pc-linux-gnu/lib/qt5/mkspecs/linux-g++ -isystem /usr/x86_64-pc-linux-gnu/include/qt5/QtWidgets -isystem /usr/x86_64-pc-linux-gnu/include/qt5/QtGui -isystem /usr/x86_64-pc-linux-gnu/include/qt5/QtXml -isystem /usr/x86_64-pc-linux-gnu/include/qt5/QtNetwork -isystem /usr/x86_64-pc-linux-gnu/include/qt5/QtOpenGL -march=native -O2 -pipe -O2 -Wall -fPIC -fPIC -fPIC -std=gnu++11 -o CMakeFiles/importpdf.dir/importpdf.cpp.o -c /var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp: In member function 'QImage PdfPlug::readThumbnail(const QString&)':
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:78:34: error: no match for 'operator=' (operand types are 'std::unique_ptr<GlobalParams>' and 'GlobalParams*')
   78 | globalParams = new GlobalParams();
      | ^
In file included from /usr/x86_64-pc-linux-gnu/include/c++/9.2.0/memory:80,
                 from /usr/x86_64-pc-linux-gnu/include/poppler/GlobalParams.h:47,
                 from /var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:22:
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:297:7: note: candidate: 'std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(std::unique_ptr<_Tp, _Dp>&&) [with _Tp = GlobalParams; _Dp = std::default_delete<GlobalParams>]'
  297 | operator=(unique_ptr&& __u) noexcept
      | ^~~~~~~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:297:30: note: no known conversion for argument 1 from 'GlobalParams*' to 'std::unique_ptr<GlobalParams>&&'
  297 | operator=(unique_ptr&& __u) noexcept
      | ~~~~~~~~~~~~~^~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:317:2: note: candidate: 'template<class _Up, class _Ep> typename std::enable_if<std::__and_<std::__and_<std::is_convertible<typename std::unique_ptr<_Up, _Ep>::pointer, typename std::__uniq_ptr_impl<_Tp, _Dp>::pointer>, std::__not_<std::is_array<_Up> > >, std::is_assignable<_T2&, _U2&&> >::value, std::unique_ptr<_Tp, _Dp>&>::type std::unique_ptr<_Tp, _Dp>::operator=(std::unique_ptr<_Up, _Ep>&&) [with _Up = _Up; _Ep = _Ep; _Tp = GlobalParams; _Dp = std::default_delete<GlobalParams>]'
  317 | operator=(unique_ptr<_Up, _Ep>&& __u) noexcept
      | ^~~~~~~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:317:2: note: template argument deduction/substitution failed:
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:78:34: note: mismatched types 'std::unique_ptr<_Tp, _Dp>' and 'GlobalParams*'
   78 | globalParams = new GlobalParams();
      | ^
In file included from /usr/x86_64-pc-linux-gnu/include/c++/9.2.0/memory:80,
                 from /usr/x86_64-pc-linux-gnu/include/poppler/GlobalParams.h:47,
                 from /var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:22:
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:326:7: note: candidate: 'std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(std::nullptr_t) [with _Tp = GlobalParams; _Dp = std::default_delete<GlobalParams>; std::nullptr_t = std::nullptr_t]'
  326 | operator=(nullptr_t) noexcept
      | ^~~~~~~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:326:17: note: no known conversion for argument 1 from 'GlobalParams*' to 'std::nullptr_t'
  326 | operator=(nullptr_t) noexcept
      | ^~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:93:12: error: type 'class std::unique_ptr<GlobalParams>' argument given to 'delete', expected pointer
   93 | delete globalParams;
      | ^~~~~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:137:12: error: type 'class std::unique_ptr<GlobalParams>' argument given to 'delete', expected pointer
  137 | delete globalParams;
      | ^~~~~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:141:11: error: type 'class std::unique_ptr<GlobalParams>' argument given to 'delete', expected pointer
  141 | delete globalParams;
      | ^~~~~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp: In member function 'bool PdfPlug::convert(const QString&)':
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:390:34: error: no match for 'operator=' (operand types are 'std::unique_ptr<GlobalParams>' and 'GlobalParams*')
  390 | globalParams = new GlobalParams();
      | ^
In file included from /usr/x86_64-pc-linux-gnu/include/c++/9.2.0/memory:80,
                 from /usr/x86_64-pc-linux-gnu/include/poppler/GlobalParams.h:47,
                 from /var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:22:
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:297:7: note: candidate: 'std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(std::unique_ptr<_Tp, _Dp>&&) [with _Tp = GlobalParams; _Dp = std::default_delete<GlobalParams>]'
  297 | operator=(unique_ptr&& __u) noexcept
      | ^~~~~~~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:297:30: note: no known conversion for argument 1 from 'GlobalParams*' to 'std::unique_ptr<GlobalParams>&&'
  297 | operator=(unique_ptr&& __u) noexcept
      | ~~~~~~~~~~~~~^~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:317:2: note: candidate: 'template<class _Up, class _Ep> typename std::enable_if<std::__and_<std::__and_<std::is_convertible<typename std::unique_ptr<_Up, _Ep>::pointer, typename std::__uniq_ptr_impl<_Tp, _Dp>::pointer>, std::__not_<std::is_array<_Up> > >, std::is_assignable<_T2&, _U2&&> >::value, std::unique_ptr<_Tp, _Dp>&>::type std::unique_ptr<_Tp, _Dp>::operator=(std::unique_ptr<_Up, _Ep>&&) [with _Up = _Up; _Ep = _Ep; _Tp = GlobalParams; _Dp = std::default_delete<GlobalParams>]'
  317 | operator=(unique_ptr<_Up, _Ep>&& __u) noexcept
      | ^~~~~~~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:317:2: note: template argument deduction/substitution failed:
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:390:34: note: mismatched types 'std::unique_ptr<_Tp, _Dp>' and 'GlobalParams*'
  390 | globalParams = new GlobalParams();
      | ^
In file included from /usr/x86_64-pc-linux-gnu/include/c++/9.2.0/memory:80,
                 from /usr/x86_64-pc-linux-gnu/include/poppler/GlobalParams.h:47,
                 from /var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:22:
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:326:7: note: candidate: 'std::unique_ptr<_Tp, _Dp>& std::unique_ptr<_Tp, _Dp>::operator=(std::nullptr_t) [with _Tp = GlobalParams; _Dp = std::default_delete<GlobalParams>; std::nullptr_t = std::nullptr_t]'
  326 | operator=(nullptr_t) noexcept
      | ^~~~~~~~
/usr/x86_64-pc-linux-gnu/include/c++/9.2.0/bits/unique_ptr.h:326:17: note: no known conversion for argument 1 from 'GlobalParams*' to 'std::nullptr_t'
  326 | operator=(nullptr_t) noexcept
      | ^~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:432:13: error: type 'class std::unique_ptr<GlobalParams>' argument given to 'delete', expected pointer
  432 | delete globalParams;
      | ^~~~~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:477:14: error: type 'class std::unique_ptr<GlobalParams>' argument given to 'delete', expected pointer
  477 | delete globalParams;
      | ^~~~~~~~~~~~
/var/tmp/paludis/build/app-office-scribus-1.5.5/work/scribus-1.5.5/scribus/plugins/import/pdf/importpdf.cpp:911:9: error: type 'class std::unique_ptr<GlobalParams>' argument given to 'delete', expected pointer
  911 | delete globalParams;
      | ^~~~~~~~~~~~
Steps To Reproduce* Upgrade to poppler >= 0.83.0
* Try to build Scribus 1.5.5
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-12-03 12:23 tgurr New Issue
2019-12-04 05:51 jghali Summary Scribus 1.5.5 tails to build against poppler 0.83.0 => Scribus fails to build against poppler 0.83.0
2019-12-04 05:51 jghali Assigned To => jghali
2019-12-04 05:51 jghali Status new => resolved
2019-12-04 05:51 jghali Resolution open => fixed
2019-12-04 05:51 jghali Fixed in Version => 1.5.6.svn
2019-12-08 10:47 cbradney Status resolved => closed